Bug 170476 - disk druid forces root into primary partition
disk druid forces root into primary partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 22:18 EDT by mobrien
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-15 11:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mobrien 2005-10-11 22:18:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I wanted to install FC4 onto a hard disk that had two primary partitions on it already.  I wanted to put the entire install on one extended partition, with logical paritions for /, /home, and swap.  This left a primary partition available  in the future for install of another OS that can't live on an extended partition.  GRUB is fully capable of booting off of a logical partition (this is how my old RedHat 9 install was set up) but disk-druid FORCES the root partition into a primary partition.  There is no need for this behavior.  If disk druid is going to be programmed like this, the graphical install program should allow the user to choose fdisk instead of disk druid. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start with two existing primary partitions.  Create Extended partition with free space left over for a future primary partition. 
2.Try to create a logical root partition.
3.Watch disk druid create a primary root partition instead.
  

Actual Results:  Disk druid creates primary partition 3 and assigns mount point "/" to it instead.

Expected Results:  Disk druid should have created a logical parition with mount point "/" and left the free space alone.  

Additional info:
Comment 1 Jeremy Katz 2005-10-15 11:12:42 EDT
By default, we'll do a primary partition if we can.  Ways that you can get the
result you want include pre-partitioining the drive, switching to tty2 and
running a partitioning utility such as parted or fdisk by hand, or by creating
all of your partitions in disk druid and just not using all of the partitions
you create for your installation.

Note You need to log in before you can comment on or make changes to this bug.